Bug 493521 - (perl-Log-Trace) Review Request: perl-Log-Trace - A unified approach to tracing
Review Request: perl-Log-Trace - A unified approach to tracing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Log-Trace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 00:15 EDT by Chris Weyl
Modified: 2009-04-05 13:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-05 01:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-02 00:15:55 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Log-Trace.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Log-Trace-1.070-1.fc10.src.rpm

Description:
This module provides a unified approach to tracing. A script can 'use
Log::Trace qw( < mode > )' to set the behaviour of the TRACE function.By
default, the trace functions are exported to the calling package only.
You can export the trace functions to other packages with the 'Deep'
option. See the "OPTIONS" manpage for more information.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1272037

*rt-0.06
Comment 1 Parag AN(पराग) 2009-04-02 01:16:24 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1272037
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
773aefa7539b1857edb3e225cfbc4a22  Log-Trace-1.070.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=13, Tests=80,  0 wallclock secs ( 0.05 usr  0.03 sys +  0.38 cusr  0.08 csys =  0.54 CPU)
+ Package perl-Log-Trace-1.070-1.fc11.noarch =>
  Provides: perl(Log::Trace) = 1.070
  Requires: perl(Carp) perl(Fcntl) perl(strict) perl(vars)

Can you please help me understand why to use AutoProv and why not to filter and remove unnecessary provides perl(DB)?
Comment 2 Chris Weyl 2009-04-02 01:48:58 EDT
(In reply to comment #1)

> Can you please help me understand why to use AutoProv and why not to filter and
> remove unnecessary provides perl(DB)?  

Sure :-)  DB is used by the Perl debugger, and as such, is sometimes poked at...  It shouldn't be provided by this package.  In this case, turning off autoprov and manually providing perl(Log::Trace) is significantly easier than filtering the two provides autoprov finds.  ...we've also done this before, e.g. perl-DateTime-Format-DBI.
Comment 3 Parag AN(पराग) 2009-04-02 03:09:31 EDT
Thanks for explanation.
Comment 4 Chris Weyl 2009-04-02 03:13:23 EDT
New Package CVS Request
=======================
Package Name: perl-Log-Trace
Short Description: A unified approach to tracing
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-03 16:47:26 EDT
cvs done.
Comment 6 Chris Weyl 2009-04-05 01:39:12 EDT
Thanks for the review! :-)
Comment 7 Ralf Corsepius 2009-04-05 13:19:09 EDT
(In reply to comment #2)
> (In reply to comment #1)
> 
> > Can you please help me understand why to use AutoProv and why not to filter and
> > remove unnecessary provides perl(DB)?  
> 
> Sure :-)  DB is used by the Perl debugger, and as such, is sometimes poked
> at...  It shouldn't be provided by this package.  In this case, turning off
> autoprov and manually providing perl(Log::Trace) is significantly easier than
> filtering the two provides autoprov finds.  ...we've also done this before,
> e.g. perl-DateTime-Format-DBI.  

@Chis: Please understand that I do not agree with your rationale. I consider this kind of packaging to be grossly negligant sloppiness.

Note You need to log in before you can comment on or make changes to this bug.